textures/royo_varios/x_soporte
{
	cull none
	qer_editorimage textures/base_support/x_support.tga
	surfaceparm metalsteps	
	surfaceparm trans	
	surfaceparm alphashadow
    	surfaceparm nomarks	
        nopicmip

	{
		map textures/base_support/x_support.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}


textures/royo_varios/azul_3k
{
	surfaceparm nomarks
	qer_editorimage textures/base_light/ceil1_37.tga
	q3map_surfacelight 3000
//	light 1
	// Modified light blue ceil light from Q2
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/ceil1_37.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/royo_varios/ventana
{
qer_editorimage textures/royo_varios/ventana.tga
cull none
{
	map textures/effects/tinfxb.tga
	blendFunc GL_ONE GL_ONE
	tcgen environment
}
{
	map textures/royo_varios/ventana.tga
	alphaFunc GE128
}
	
{
	map $lightmap rgbGen identity blendFunc filter
}
} 



textures/royo_suelos/suelo_trans
{
	qer_editorimage textures/royo_suelos/parque.tga
	qer_trans 0.8
	cull none

	{
		map textures/royo_suelos/parque.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
}

textures/royo_varios/balaustre1
{
	cull none

	{
		map textures/royo_varios/balaustre1.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/balaustre2
{
	cull none

	{
		map textures/royo_varios/balaustre2.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/cinta
{
	cull none

	{
		map textures/royo_varios/cinta.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/delfin_neon
{
	surfaceparm nodamage
	qer_editorimage textures/royo_varios/neon_1.tga
	{
		map textures/royo_varios/neon_2.tga
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendfunc filter
	}
	{
		map textures/royo_varios/neon_1.tga
		blendfunc add
		rgbGen wave sin 1 1 1 0.4
	}
}

textures/royo_varios/destello
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/royo_varios/destello.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/royo_varios/escalera1
{
	surfaceparm metalsteps
	cull none

	{
		map textures/royo_varios/escalera1.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/escalera2
{
	surfaceparm metalsteps
	cull none

	{
		map textures/royo_varios/escalera2.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/exit
{
	qer_editorimage textures/urban_terror4/nrg_emergencyexit.tga
	surfaceparm nomarks
	q3map_lightimage textures/urban_terror4/nrg_emergencyexit.tga
	q3map_surfacelight 5

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/urban_terror4/nrg_emergencyexit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/urban_terror4/nrg_emergencyexit.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/royo_varios/lamp
{
	cull none

	{
		map textures/royo_varios/lamp.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/lamp_1
{
	cull none

	{
		map textures/royo_varios/lamp_1.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/lamp_2
{
	cull none

	{
		map textures/royo_varios/lamp_2.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/lampara_cruz
{
	cull none

	{
		map textures/royo_varios/lampara_cruz.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}


textures/royo_varios/lampara_lado
{
	cull none

	{
		map textures/royo_varios/lampara_lado.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}


textures/royo_varios/lampcover
{
	qer_editorimage textures/royo_varios/lampcover.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/royo_varios/lampcover.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/royo_varios/lampcover.tga
		blendfunc GL_ONE GL_ONE
	}
}


textures/royo_varios/luz_2000
{
	qer_editorimage textures/royo_varios/luz_2000.tga
	surfaceparm nomarks
	q3map_surfacelight 500

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/royo_varios/luz_2000.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/royo_varios/luz_2000.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/royo_varios/luz_roja
{
	qer_editorimage textures/royo_varios/luz_roja.tga
	surfaceparm nomarks
	q3map_lightimage textures/royo_varios/luz_roja.tga
	q3map_surfacelight 500
	cull none

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/royo_varios/luz_roja.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/royo_varios/luz_roja.tga
		blendfunc GL_ONE GL_ONE
	}
}



textures/royo_varios/planta1
{
        qer_editorimage textures/royo_varios/planta1.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/royo_varios/planta1.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/royo_varios/planta2
{
        qer_editorimage textures/royo_varios/planta2.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/royo_varios/planta2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/royo_varios/planta3
{
        qer_editorimage textures/royo_varios/planta3.tga
    	surfaceparm trans
   	surfaceparm nonsolid
	DeformVertexes autosprite2
	cull none
        nopicmip
	{
		map textures/royo_varios/planta3.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/royo_varios/reja
{

	{
		map textures/royo_varios/reja.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/royo1
{

	{
		map textures/royo_varios/royo1.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/royo2
{

	{
		map textures/royo_varios/royo2.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/royo_sky
{
	surfaceparm noimpact
	qer_editorimage textures/urban_terror/daysky_2.tga
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .75 90 45 80
	q3map_surfacelight 70
	q3map_globaltexture
	q3map_lightimage textures/royo_varios/sky_blend.tga
	q3map_lightsubdivide 512
	skyparms env/cielo 256 -
}

textures/royo_varios/sign_flecha
{
	cull none

	{
		map textures/royo_varios/sign_flecha.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/sign_prohibido
{
	cull none

	{
		map textures/royo_varios/sign_prohibido.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}



textures/royo_varios/verja1
{
	surfaceparm metalsteps
	cull none

	{
		map textures/royo_varios/verja1.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/verja2
{
	surfaceparm metalsteps
	cull none

	{
		map textures/royo_varios/verja2.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/vuelo
{
	cull none

	{
		map textures/royo_varios/vuelo.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}

textures/royo_varios/vuelo_lado
{
	cull none

	{
		map textures/royo_varios/vuelo_lado.tga
		tcMod scale 1.0 1.0
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
		rgbGen identity
	}
}
